Bug 1416656 - nfs4_setfacl -a should have some basic intelligence
Summary: nfs4_setfacl -a should have some basic intelligence
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs4-acl-tools
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 08:47 UTC by Ondrej
Modified: 2018-11-09 13:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1416688 (view as bug list)
Environment:
Last Closed: 2017-12-06 12:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ondrej 2017-01-26 08:47:11 UTC
Description of problem:

when I issue nfs4_setfact -a with the same argument several times, new ACEs are always inserted.
The tool should offer some basic intelligence and test if the similar ACE on the relevant position already exists and if it does, skip the action.
This would be extremely useful when combining with -R option.

How reproducible:
always


Actual results:
New ACE is always inserted

Expected results:
If we are about to insert an ACE which is already there, the action should be skipped (possibly issuing some warning or so)

Additional info:

Comment 3 Jan Kurik 2017-12-06 12:27:21 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.